<?php
define('NTOP', 1);
$title = 'Новости';
require_once ('../system/connect.php');
require_once ('../system/core.php');
require_once ('../system/function.php');
require_once ('../str/head.php');
switch($act){
default:
echo '<div class="topik">Читаем нововведения</div>';
$count = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."news`"));
if($count > 0){
$total=intval(($count-1)/$page_news)+1;
$page=abs(intval($_GET['page']));
if(empty($page) OR $page < 0){
$page = 1;}
if($page > $total){
$page = $total;}
$past=intval($count/$page_news);
$start=$page*$page_news-$page_news;
$news = mysql_query("SELECT * FROM `".$prefix."news` ORDER BY `time` DESC LIMIT ".$start.",".$page_news."");

while($row = mysql_fetch_array($news)){
$rat_plus = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."news_rep` WHERE `id_news` = '".$row['id']."'")); 
$proverka = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."news_rep` WHERE `ip` = '".$ip."' AND `id_news` = '".$row['id']."'"));

$start++;
$count_comment = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."news_comments` WHERE `id_news` = '".$row['id']."'"));
echo '<div class="stat">'.$start.'. <b>'.$row['name'].'</b> ('.data($row['time']).')<div class="info">'.$row['text'].'</div>';

if($proverka == 0){
echo '<a class="nr" href="/news/index.php?act=reputation&id='.$row['id'].'">Мне нравится: +<b>'.$rat_plus.'</b></a></div>';
} else { 
echo '<a class="nr" href="/news/index.php?act=repa&id='.$row['id'].'">Мне нравится: +<b>'.$rat_plus.'</b></a></div>';}}
navigation($count,$page_news,$page,'/news/index.php?',$total);
}else{
echo '<div class="stat">';
echo 'Новостей в Топ-Рейтинге нет!<br/>';
echo '</div>';}
break;

case 'reputation':  
$proverka_r = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."news_rep` WHERE `ip` = '".$ip."' AND `id_news` = '".$id."'"));
echo'<div class="topik">Мне нравится</div><div class="stat">';
if($proverka_r == 0){ 
$repa = mysql_query("INSERT INTO `".$prefix."news_rep` SET `ip` = '".$ip."', `time` = '".time()."', `id_news` = '".$id."'");
$plus = mysql_query("UPDATE `".$prefix."news` SET `plus` = (`plus` + 1) WHERE `id` = '".$id."'");
if($repa && $plus){ 
echo 'Ваше мнение учтено <b>+1</b> единица!<br/>';
}else{ 
echo 'Ваше мнение не учтено, возможно проиcходят работы с этим модулем!<br/>';
}}else{ 
echo 'Вы уже голосовали сегодня, голосовать можно 1 раз за 24 часа!<br/>'; 
} 
echo '<a href="/news/index.php">К новостям</a></div>'; 
break; 

case 'repa':  
$proverka_r = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."news_rep` WHERE `ip` = '".$ip."' AND `id_news` = '".$id."'"));

echo'<div class="topik">Мне нравится</div><div class="stat">';
if($proverka_r == 1){ 
$repa = mysql_query("DELETE FROM `".$prefix."news_rep` WHERE `ip` = '".$ip."' AND `id_news` = '".$id."'");
$plus = mysql_query("UPDATE `".$prefix."news` SET `plus` = (`plus` - 1) WHERE `id` = '".$id."'");
if($repa && $plus){ 
echo 'Ваше мнение учтено <b>-1</b> единица!<br/>';
}else{ 
echo 'Ваше мнение не учтено, возможно проиcходят работы с этим модулем!<br/>';
}}else{ 
echo 'Вы уже голосовали сегодня, голосовать можно 1 раз за 24 часа!<br/>'; 
} 
echo '<a href="/news/index.php">К новостям</a></div>'; 
break; 

}

require_once ('../str/foot.php');
?>
